karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guillaume Nodet <gno...@apache.org>
Subject Re: Using Karaf with Java 9
Date Wed, 07 Dec 2016 17:41:46 GMT
Yes, try with 4.1.0-SNAPSHOT.

https://repository.apache.org/content/groups/snapshots/org/apache/karaf/apache-karaf-minimal/4.1.0-SNAPSHOT/

2016-12-07 18:27 GMT+01:00 Gunnar Morling <gunnar@hibernate.org>:

> I'm using the latest stable, 4.0.7.
>
> What could I try instead, 4.1.0-SNAPSHOT? Are you deploying snapshots
> somewhere? Or do I need to build from source myself?
>
> 2016-12-07 18:10 GMT+01:00 Jean-Baptiste Onofré <jb@nanthrax.net>:
>
>> Hi
>>
>> Improvements have already been done. Which version do you try ? A
>> SNAPSHOT ?
>>
>> Regards
>> JB
>> On Dec 7, 2016, at 18:05, Gunnar Morling <gunnar@hibernate.org> wrote:
>>>
>>> Hi,
>>>
>>> Has anyone had success with running Karaf on Java 9?
>>>
>>> When trying to start the container, I'm running into KARAF-3518 [1]
>>> which is related to "endorsed" directories not working any longer under
>>> Java 9. The issue is marked as unresolved; are there any efforts to make
>>> Karaf usable with Java 9? This wouldn't have to include support for Jigsaw
>>> in the first step, just being able to run on 9 would be a great achievement.
>>>
>>> Thanks,
>>>
>>> --Gunnar
>>>
>>> [1] https://issues.apache.org/jira/browse/KARAF-3518
>>>
>>>
>


-- 
------------------------
Guillaume Nodet
------------------------
Red Hat, Open Source Integration

Email: gnodet@redhat.com
Web: http://fusesource.com
Blog: http://gnodet.blogspot.com/

Mime
View raw message